#include <iostream>

using namespace std;

int main ()
{
    cin.tie(NULL);
    ios::sync_with_stdio(false);
    
    char a,b;
    int c,d;
    cin>>a>>b;
    cin>>c>>d;
    if(c-d>1 || d-c>1) cout<<"nemoguce"<<endl;
    else
    {
        if(c>d)
        {
            cout<<a;
            for(int i=0;i<min(c,d);i++)
            {
                cout<<b<<a;
            }
        }
        else if(c<d)
        {
            cout<<b;
            for(int i=0;i<min(c,d);i++)
            {
            cout<<a<<b;
            }
        }


    }
	return 0;
}